import { Logger } from "../lib/lambda-logger/index";
import { Client } from '@opensearch-project/opensearch';
export declare class ESClient {
    esClient: Client;
    log: Logger;
    esIndex: string;
    baseESIndex: string;
    constructor(log?: Logger);
    searchByQuery(emailIds: any, inactiveNotificationAppList: any): Promise<any[]>;
    getTopAppUserAnalytics(filterData: any): Promise<any>;
    getUserDailyLoginAnalytics(filterData: any): Promise<any>;
    getAppDailyLoginAnalytics(filterData: any): Promise<any>;
    getQueryDateRange(startDate: any, endDate: any): Promise<any>;
    getQueryEmailFilter(emailIdPairs: any): Promise<any>;
    getQueryAppNameFilter(appNames: any): Promise<any>;
}
