"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Configuration = void 0;
const obj = {
    dev: {
        emailConfig: {
            emailLogin: "https://vpce-032429b181bb9218c-d3sugr47.execute-api.us-west-2.vpce.amazonaws.com/itg/oauth2-token",
            emailService: "https://vpce-032429b181bb9218c-d3sugr47.execute-api.us-west-2.vpce.amazonaws.com/itg/send-mail",
            auth: {
                host: "z204db4gm7.execute-api.us-west-2.amazonaws.com",
            },
        },
        elasticSearchUrl: "https://l0oocgnk7th6uu3zeolh.us-east-1.aoss.amazonaws.com",
        apigeeDBUrl: "https://hpcorp-ob-dev.default.api.hp.com/paladin-api/v1/graphql",
        hasuraDBUrl: "https://int-paladin-hasura-dev.tropos-rnd.com/v1/graphql",
        authTokenUrl: "https://hpcorp-ob-dev.default.api.hp.com/paladin-auth/oauth/token",
        authServiceUrl: "https://zn65xlrfp3.execute-api.us-east-1.amazonaws.com/devPortal",
        configServiceSNS: "arn:aws:sns:us-east-1:847875125056:paladin-config-portal-service-dev-sns",
        configServiceAlertsWebHook: "https://hp.webhook.office.com/webhookb2/b890b5dd-9c44-4eba-9f9a-ac8c40d8a232@ca7981a2-785a-463d-b82a-3db87dfc3ce6/IncomingWebhook/e85492dbda9d4c68931119fb379d6460/fdebdb35-039d-432c-9802-b78c6a2f857a",
        index: "paladin-policy-service-dev-"
    },
    stg: {
        emailConfig: {
            emailLogin: "https://vpce-02719c29caf327e75-7to22c3g.execute-api.us-west-2.vpce.amazonaws.com/itg/oauth2-token",
            emailService: "https://vpce-02719c29caf327e75-7to22c3g.execute-api.us-west-2.vpce.amazonaws.com/itg/send-mail",
            auth: {
                host: "z204db4gm7.execute-api.us-west-2.amazonaws.com",
            },
        },
        elasticSearchUrl: "https://3j9o6sqxpy9f8yhzpdj8.us-east-1.aoss.amazonaws.com",
        apigeeDBUrl: "https://hpcorp-ob-test.default.api.hp.com/paladin-api/v1/graphql",
        hasuraDBUrl: "https://int-paladin-hasura-stg.tropos-rnd.com/v1/graphql",
        authTokenUrl: "https://hpcorp-ob-test.default.api.hp.com/paladin-auth/oauth/token",
        authServiceUrl: 'https://ik167sxiu8.execute-api.us-east-1.amazonaws.com/stgPortal',
        configServiceSNS: "arn:aws:sns:us-east-1:283672905894:paladin-config-portal-service-stg-sns",
        configServiceAlertsWebHook: "https://hp.webhook.office.com/webhookb2/b890b5dd-9c44-4eba-9f9a-ac8c40d8a232@ca7981a2-785a-463d-b82a-3db87dfc3ce6/IncomingWebhook/e85492dbda9d4c68931119fb379d6460/fdebdb35-039d-432c-9802-b78c6a2f857a",
        index: 'paladin-policy-service-stg-'
    },
    prod: {
        emailConfig: {
            emailLogin: "https://vpce-02719c29caf327e75-7to22c3g.execute-api.us-west-2.vpce.amazonaws.com/pro/oauth2-token",
            emailService: "https://vpce-02719c29caf327e75-7to22c3g.execute-api.us-west-2.vpce.amazonaws.com/pro/send-mail",
            auth: {
                host: "68vcz9805i.execute-api.us-west-2.amazonaws.com",
            },
        },
        elasticSearchUrl: 'https://huapdad4nydqszv8as6k.us-east-1.aoss.amazonaws.com',
        apigeeDBUrl: "https://hpcorp-ob-test.default.api.hp.com/paladin-api/v1/graphql",
        hasuraDBUrl: "https://int-paladin-hasura-pro.tropos-rnd.com/v1/graphql",
        authTokenUrl: "https://print.services.api.hp.com/paladin-auth/oauth/token",
        authServiceUrl: 'https://cbcf86ur65.execute-api.us-west-2.amazonaws.com/prod',
        configServiceSNS: "arn:aws:sns:us-east-1:283672905894:paladin-config-portal-service-prod-sns",
        configServiceAlertsWebHook: "https://hp.webhook.office.com/webhookb2/b890b5dd-9c44-4eba-9f9a-ac8c40d8a232@ca7981a2-785a-463d-b82a-3db87dfc3ce6/IncomingWebhook/e85492dbda9d4c68931119fb379d6460/fdebdb35-039d-432c-9802-b78c6a2f857a",
        index: 'paladin-policy-service-prod-'
    },
};
function Configuration() {
    const appEnv = process.env.stage || "dev";
    return obj[appEnv];
}
exports.Configuration = Configuration;
